diff -U 3 -H -b -B -E -d -- 320/viewcomments.tpl 315/viewcomments.tpl
--- 320/viewcomments.tpl	2005-04-25 05:19:31.000000000 -0700
+++ 315/viewcomments.tpl	2004-08-31 15:16:46.000000000 -0700
@@ -7,128 +7,70 @@
 <div class="nav"><a href="index.php">{LANG_NAVORIGIN}</a> {NAVIGATION} > <a href="link.php?action=detail&amp;id={LINKID}">{LINKTITLE}</a> > Comments</div><br>
 
 <p>Comments about <a href="{TRACKLINKURL}" {EXTERNALLINKS}>{LINKTITLE}</a>:</p>
-
-<IF {LINKDELETED}><div class="details">This thread has been deleted.</div></IF>
-
-<IF {LINKCANEDIT}>
-<br><form action="threadadmin.php">
-<input type="hidden" name="id" value="{LINKID}">
-Thread Tools:<br> <select name="action">
-<IF {THISMEMBERISADMIN} or {CATISMODERATOR}>
-<option value="close"><IF {LINKTHREADCLOSED}>Open<ELSE>Close</IF> Thread</option>
-<option value="bulkedit">Edit/Move/Delete Posts</option>
-</IF>
-<IF {THISMEMBERGROUPCANVIEWDELETED}>
-<option value="showdeleted">Show Deleted Posts ({LINKDELETEDPOSTS})</option>
-</IF>
-<IF {THISMEMBERISADMIN}>
-<option value="regeneratethread">Regenerate Thread</option>
-</IF>
-</select>
-<input type="submit" value="Go" class="button">
-</form>
-</IF>
-
-<table width="100%">
-<tr>
- <td align="left">
-| <a href="printthread.php?id={LINKID}">Print</a> | <IF {SWITCH_ALBUMS} and {THISMEMBERISREGISTERED}><a href="albums.php?add={LINKID}">Add to List</a> | </IF>
 <IF {THISMEMBERISREGISTERED} and {SWITCH_SUBSCRIPTIONS}>
-<IF {THISMEMBERSUBSCRIBEDTO[{LINKID}]}><a href="comments.php?id={LINKID}&amp;action=subscribe">Unsubscribe</a><OTHERWISE>
-<a href="comments.php?id={LINKID}&amp;action=subscribe">Subscribe</a></IF>
-</IF> <IF {THISMEMBERISREGISTERED}>|</IF>
- </td>
- <td align="right">
-<IF {LINKCANPOST}><p align="right"><a href="postreply.php?id={LINKID}"><img src="{TEMPLATESDIR}/images/postreply.gif" border="0" alt="Post Reply"></a></p></IF>
- </td>
-</tr>
-</table>
-
-<IF {MULTIPAGE}>
-Page: {PREVIOUS} <b>{CURRENTPAGE}</b> {NEXT}
+<IF {THISMEMBERSUBSCRIBEDTO[{LINKID}]}>
+<p align="right">
+<a href="comments.php?id={LINKID}&amp;action=subscribe">Unsubscribe</a>
+</p>
+<OTHERWISE>
+<p align="right">
+<a href="comments.php?id={LINKID}&amp;action=subscribe">Subscribe</a>
+</p>
+</IF>
 </IF>
 
 <table width="100%">
 <!-- BEGIN POST -->
 <!-- BEGIN REGULAR -->
 <tr>
-<td height="100%" class="commentposter" valign="top">
-
-<a name="comment{COMMENTID}"></a>
+<td width="20%" class="commentposter" valign="top">
+<a name="post{COMMENTID}">
 <IF {MEMBERUSERGROUP} is 1>
-<span class="{MEMBERGROUPNAMESTYLE}">{COMMENTPOSTERNAME}</span><br>
+<span class="title">{COMMENTPOSTERNAME}</span><br>
 <OTHERWISE> 
-<a href="memberlist.php?action=profile&amp;id={MEMBERID}" class="{MEMBERGROUPNAMESTYLE}">{MEMBERNAME}</a> 
-<br> 
-<IF {MEMBERRANKIMAGE}><img src="{MEMBERRANKIMAGE}" alt="{MEMBERRANK}"><br></IF>
-{MEMBERRANK}
-<br>
-<IF {MEMBERSHOWAVATAR}> <img src="attachments/avatars/{MEMBERAVATARNAME}" alt="avatar"> <br> </IF>
-
-<br><span class="labels">Group:</span> {MEMBERGROUPTITLE}
-<br><span class="labels">Joined:</span> {MEMBERREGDATE}
-<IF {MEMBERLOCATION}><br><span class="labels">Location:</span> {MEMBERLOCATION}</IF>
-<br>
-
-<IF {THISMEMBERISREGISTERED}>
-<br><span class="labels">Topics:</span> <a href="search.php?filled=1&amp;whichtype=links&amp;condition==&amp;searchfields[0]=ownerid&amp;search={MEMBERID}">{MEMBERTOPICS}</a>
-<br><span class="labels">Posts:</span> <a href="search.php?filled=1&amp;whichtype=comments&amp;condition==&amp;searchfields[0]=ownerid&amp;search={MEMBERID}">{MEMBERPOSTS}</a>
-<ELSE>
-<br><span class="labels">Topics:</span> {MEMBERTOPICS}
-<br><span class="labels">Posts:</span> {MEMBERPOSTS}
-</IF>
-
-</IF>
-
-<IF {SWITCH_REPORTS} and {THISMEMBERGROUPCANREPORT}><br><br><a href="reportcomment.php?id={COMMENTID}"><img src="{TEMPLATESDIR}/images/report.gif" border="0" alt="report bad post"></a></IF>
-
-<IF {SWITCH_RATINGS} and {THISMEMBERGROUPCANRATECOMMENTS}>
-<br><br>Rate this post: <a href="comments.php?action=rate&amp;id={LINKID}&amp;commentid={COMMENTID}&amp;votevalue=plus&amp;voteplus=1">
-<img src="{TEMPLATESDIR}/images/plus.gif" border="0" alt="rate post up"></a> <a href="comments.php?action=rate&amp;id={LINKID}&amp;commentid={COMMENTID}&amp;votevalue=minus&amp;voteminus=1">
-<img src="{TEMPLATESDIR}/images/minus.gif" border="0" alt="rate post down"></a>
+<span class="title"><a href="memberlist.php?action=profile&amp;id={MEMBERID}">{MEMBERNAME}</a></span> {MEMBERADMIN} <br> <br>
+<IF {MEMBERAVATAR}> <img src="attachments/{MEMBERAVATARNAME}" alt=""> <br> </IF>
+<br><span class="labels">Total Links:</span> <a href="search.php?filled=1&whichtype=links&amp;condition==&amp;searchfields[0]=ownerid&amp;search={MEMBERID}">{MEMBERLINKS}</a>
+<br><span class="labels">Total Comments:</span> <a href="search.php?filled=1&amp;whichtype=comments&amp;condition==&amp;searchfields[0]=ownerid&amp;search={MEMBERID}">{MEMBERCOMMENTS}</a>
 </IF>
+<IF {SWITCH_REPORTS}><br><br>[<a href="reportcomment.php?id={COMMENTID}">Report Comment</a>]</IF>
 
-<IF {THISMEMBERGROUPCANVIEWIP}><br><br>IP: <a href="searchips.php?filled=1&getmembers=1&ip={COMMENTIP}">{COMMENTIP}</a></IF>
+<table>
+<tr>
+<td valign="top">
+<form action="comments.php?action=rate&amp;id={LINKID}&amp;commentid={COMMENTID}" method="post" style="margin-bottom:0;"> <input type="hidden" name="votevalue" value="plus">
+<input type="image" src="{TEMPLATESDIR}/images/plus.gif" name="voteplus" style="border:0px"></form> 
+</td>
+<td valign="top">
+<form action="comments.php?action=rate&amp;id={LINKID}&amp;commentid={COMMENTID}" method="post" style="margin-bottom:0;"> <input type="hidden" name="votevalue" value="minus">
+<input type="image" src="{TEMPLATESDIR}/images/minus.gif" name="voteminus" style="border:0px"></form> 
+</td>
+</tr>
+</table>
 
 </td>
 
 <td width="80%" class="comment" valign="top" height="100%">
-<table width="100%">
+<table width="100%" height="100%">
 <tr valign="top">
 <td align="left"><span class="commentdate">
-<IF {COMMENTVOTES} is greater than 0>{COMMENTAPPROVED} of {COMMENTVOTES} people found this post helpful <br></IF>
-Posted {COMMENTDATE}:</span> <IF {COMMENTCANEDIT}><a href="edit.php?action=comment&amp;field=id&amp;condition=equals&amp;fieldvalue={COMMENTID}"><img src="{TEMPLATESDIR}/images/editpost.gif" border="0" alt="edit"></a></IF> 
-<IF {COMMENTTITLE}><br>{COMMENTICONIMAGE} Subject: <span class="important">{COMMENTTITLE}</span> <ELSE><br>{COMMENTICONIMAGE} </IF>
-</td>
-<td align="right"><a href="postreply.php?id={LINKID}&amp;quotepost={COMMENTID}#postarea"><img src="{TEMPLATESDIR}/images/quote.gif" border="0" alt="quote post"></a> <br>#{COMMENTNUMBER}</td>
+<IF {COMMENTVOTES} is greater than 0>{COMMENTAPPROVED} of {COMMENTVOTES} people found this comment helpful <br></IF>
+Posted {COMMENTDATE}:</span> {COMMENTADMIN} </td>
+<td align="right"><a href="comments.php?id={LINKID}&amp;quotepost={COMMENTID}#postarea"><img src="{TEMPLATESDIR}/images/quote.gif" border="0"></a></td>
   </tr>
   <tr valign="middle">
    <td height="100%" valign="top">{COMMENTMESSAGE}
-   <IF {COMMENTLASTEDITDATE}><br><br><span class="editedby">Edited by {COMMENTLASTEDITBY} on {COMMENTLASTEDITDATE}<IF {COMMENTEDITREASON}>. Reason: {COMMENTEDITREASON}</IF></span></IF>
+   <IF {COMMENTLASTEDITBY}><br><br><span class="editedby">Edited by {COMMENTLASTEDITBY} on {COMMENTLASTEDITDATE}<IF {COMMENTEDITREASON}>. Reason: {COMMENTEDITREASON}</IF></span></IF>
    </td>
   </tr>
-  <tr valign="bottom">
+  <IF {MEMBERUSERGROUP} is greater than 1 and {MEMBERHASSIG}>
+  <tr valign="bottom" width="100%">
    <td valign="bottom">
-<IF {COMMENTNUMATTACHMENTS}>
-<br>Attached Files:<br>
-<table>
-<tr>
-<!-- BEGIN ATTACHMENTS -->
-<td valign="top"><a href="download.php?comid={COMMENTID}&amp;attachid={ATTACHID}">{ATTACHFILETITLE}</a> ({ATTACHKB} KB, {ATTACHDOWNLOADS} downloads)<br>
-<IF {ATTACHISIMAGE}>
-<a href="download.php?comid={COMMENTID}&amp;attachid={ATTACHID}"><img src="thumbnail.php?comid={COMMENTID}&amp;attachid={ATTACHID}" border="0" alt="attachment"></a>
-</IF>
-</td>
-<!-- END ATTACHMENTS -->
-</tr>
-</table>
-</IF>
-  <IF {COMMENTSHOWSIG}>
      <br>_____________________
      <br>{MEMBERSIGNATURE}
-  </IF>
    </td>
   </tr>
+  </IF>
 </table>
 </td> 
 </tr>
@@ -140,19 +82,19 @@
 Page: {PREVIOUS} <b>{CURRENTPAGE}</b> {NEXT}
 </IF>
 
-<IF {LINKCANPOST}><p align="right"><a href="postreply.php?id={LINKID}"><img src="{TEMPLATESDIR}/images/postreply.gif" border="0" alt="Post Reply"></a></p></IF>
+<span class="important">{INCOMPLETE}</span>
 
+<p>Post a new comment about <a href="{TRACKLINKURL}" {EXTERNALLINKS}>{LINKTITLE}</a>:</p>
 
-<a name="commentarea"></a>
+<a name="postarea"></a>
 
-<IF {LINKCANPOST}>
-<p>Post a quick reply:</p>
-<form <IF {THISMEMBERPOSTEDITOR} is WYSIWYG>onsubmit="return submitForm();"</IF> enctype="multipart/form-data" name="commentform" action="postreply.php?filled=1&amp;id={LINKID}" method="comment">
+<IF {THISMEMBERGROUPCANSUBMITCOMMENTS}>
+<form enctype="multipart/form-data" name="commentform" action="comments.php?action=post&amp;filled=1" method="post">
 <table>
 <IF {THISMEMBERUSERGROUP} is 1>
 <tr>
  <td valign="top"><span class="labels">Your Name:</span></td>
- <td valign="top"><input type=text name="commentername" value="{COMMENTPOSTERNAME}"></td>
+ <td valign="top"><input type=text name="postername" value="{COMMENTPOSTERNAME}"></td>
 </tr>
 </IF>
 <input type="hidden" name="type" value="regular">
@@ -160,31 +102,15 @@
 <!-- INSERT NEW FIELDS HERE -->
 
 <tr>
- <td valign="top" width="25%"><span class="labels">Your post:</span>
+ <td valign="top" width="25%"><span class="labels">Your comment:</span>
 <br><br>
-<center>
-<div class="smiliebox">
 <!-- BEGIN SMILIES -->
 <a onclick="javascript:update('{ORIGINAL}')">{REPLACEMENT}</a>
 <!-- END SMILIES -->
-</div>
-</center>
-<br><IF {THISMEMBERPOSTEDITOR} is WYSIWYG>Drag a <a href="index.php?custom=yes&amp;TID=smilies&amp;usewrapper=no" target="win" onClick="window.open('','win','width=400,height=350,scrollbars=yes');">smilie</a> to insert it into your message.<ELSE>Click a <a href="index.php?custom=yes&amp;TID=smilies&amp;usewrapper=no" target="win" onClick="window.open('','win','width=400,height=350,scrollbars=yes');">smilie</a> to insert it into your message.</IF> You may also use <a href="index.php?custom=yes&amp;TID=codes&amp;headerfooter=no&amp;trimhtmlto=10" target="win" onClick="window.open('','win','width=610,height=400,scrollbars=yes');">WSN Codes</a> in your message.</td>
+<br>Click a smilie to insert it into your message. You may also use <a href="index.php?custom=yes&amp;TID=codes&amp;headerfooter=no&amp;trimhtmlto=10" target="win" onClick="window.open('','win','width=610,height=400');">WSN Codes</a> in your message.</td>
 
- <td valign="top" width="75%">
-<IF {THISMEMBERPOSTEDITOR} is WYSIWYG>
-<script language="JavaScript" type="text/javascript" src="{TEMPLATESDIR}/richtext.js"></script>
-<script language="JavaScript" type="text/javascript">
-function submitForm() { updateRTEs(); return true; }
-initRTE("{DIRURL}/{TEMPLATESDIR}/images/posteditor/", "{TEMPLATESDIR}/", "{DIRURL}/templates/styles/{STYLESHEET}.css");
-</script>
-<script language="JavaScript" type="text/javascript">
-writeRichText('message', '{COMMENTMESSAGEWYSIWYG}', 300, 100, true, false);
-</script>
-<OTHERWISE>
-<textarea name="message" rows="8" cols="70">{COMMENTMESSAGE}</textarea>
-</IF>
- </td></tr>
+ <td valign="top" width="75%"><textarea name="message" rows="8" cols="70">{COMMENTMESSAGE}</textarea></td>
+</tr>
 <IF {SECURITYIMAGE} and {THISMEMBERISGUEST}>
 <tr>
  <td><span class="labels">Security Image:</span>
@@ -194,26 +120,18 @@
 </IF>
 <tr>
  <td>&nbsp;<input type="hidden" name="linkid" value="{LINKID}"><input type="hidden" name="linkname" value="{LINKTITLE}"></td>
- <td><input type="submit" value="Submit" class="button"> <input type="submit" name="preview" value="Advanced" class="button"></td>
+ <td><input type="submit" value="Post Comment" class="button"></td>
 </tr>
 </table>
 </form>
 <OTHERWISE>
-<IF {LINKTHREADCLOSED}>
-<p>This thread is closed, so you cannot post a reply.</p>
-<OTHERWISE>
-<p>You don't have permission to post replies.</p> 
-<IF {CATREQLINKS} or {CATREQCOMS}>
-<p>You must have at least {CATREQLINKS} topics and {CATREQCOMS} posts elsewhere before you can post in this forum.</p>
-</IF>
-<IF {THISMEMBERISGUEST}>Please <a href="index.php?action=userlogin">login</a> or <a href="register.php">register</a>.</IF>
-</IF>
+You don't have permission to post comments. Please <a href="index.php?action=userlogin">login</a> or <a href="register.php">register</a>.
 </IF>
 
 <IF {SWITCH_ONLINEUSERS}>
-<br><br>Members currently reading this topic: 
+<br>Members currently reading this thread: 
 <!-- BEGIN TOPLIST 3 -->
 <CONFIG>online,time,100,descending,threadid={LINKID} AND memberid>0,,</CONFIG>
-<a href="memberlist.php?action=profile&amp;id={ONLINEID}">{ONLINENAME}</a>,  
+<a href="memberlist.php?action=profile&id={ONLINEID}">{ONLINENAME}</a>,  
 <!-- END TOPLIST 3 -->
 </IF>
diff -U 3 -H -b -B -E -d -- 320/viewprofile.tpl 315/viewprofile.tpl
--- 320/viewprofile.tpl	2005-04-30 06:01:13.000000000 -0700
+++ 315/viewprofile.tpl	2004-08-22 16:50:52.000000000 -0700
@@ -1,131 +1,47 @@
 <div class="nav"><a href="index.php">{LANG_NAVORIGIN}</a> > <a href="memberlist.php">Member List</a> > {MEMBERNAME}</div><br>
 
-<p><span class="title">Profile of {MEMBERNAME}</span></p>
-
-<IF {MEMBERBANNED}><b><i>This member has been banned.</i></b></IF>
-
-<IF {THISMEMBERISADMIN} or {THISMEMBERGROUPCANVIEWDELETED} or {THISMEMBERGROUPCANVIEWMODLOG}>
-<p>
-<form action="redirecttourl.php">
-Admin Options: 
-<select name="destination">
-<IF {THISMEMBERGROUPCANEDITALLPROFILES}>
- <option value="edit.php?action=member&amp;field=id&amp;condition=equals&amp;fieldvalue={MEMBERID}">Edit Profile</option></IF>
-<IF {THISMEMBERISADMIN}>
- <option value="[IFADMINadmin/]useradmin.php?action=ban&amp;id={MEMBERID}">Ban</option>
- <option value="[IFADMINadmin/]useradmin.php?action=ban&amp;id={MEMBERID}&partial=1">Partially Ban (from categories/threads)</option>
- <option value="[IFADMINadmin/]useradmin.php?action=suspend&amp;id={MEMBERID}">Suspend Member</option>
-</IF>
-<option value="usernotes.php?id={MEMBERID}&amp;modnote=1">Moderator Notes ({MEMBERMODNOTES})</option>
-<IF {THISMEMBERGROUPCANVIEWMODLOG}>
- <option value="modlog.php?action=modlogon&amp;id={MEMBERID}">Show Moderating History on Member</option>
-</IF>
-<IF {THISMEMBERGROUPCANVIEWDELETED}>
- <option value="search.php?filled=1&amp;whichtype=links&amp;condition==&amp;searchfields[0]=ownerid&amp;search={MEMBERID}&amp;deletedonly=1">Show Deleted Links by member</option>
- <option value="search.php?filled=1&amp;whichtype=comments&amp;condition==&amp;searchfields[0]=ownerid&amp;search={MEMBERID}&amp;deletedonly=1">Show Deleted Comments by Member</option>
-</IF>
-<IF {THISMEMBERISADMIN}>
- <option value="[IFADMINadmin/]updatecounters.php?filled=1&amp;regenone=1&amp;action=members&amp;id={MEMBERID}">Regenerate Member Counters</option>
-</IF>
-</select>
-<input type="submit" value="Go" class="button">
-</form>
-</p>
-</IF>
-
-<IF {MEMBERCANBEVIEWED}>
-<p>
-Last seen: {MEMBERLASTVISITDATE}
-<IF {MEMBERISONLINE}>
-<!-- BEGIN TOPLIST 3 -->
-<CONFIG>online,time,1,descending,memberid={MEMBERID}</CONFIG>
-<br>Current Location: <a href="{ONLINELOCATION}">{ONLINEAREANAME}</a>
-<!-- END TOPLIST 3 -->
-</IF>
-</p>
-</IF>
+<p><span class="title">Profile of {MEMBERNAME}</span> {MEMBERADMIN}</p>
 
-<table width="100%">
-<tr>
-<td width="50%" valign="top" class="evencolumns">
-<p align="center"><span class="labels">Contact Information</span></p>
+<IF {MEMBERAVATAR}> <img src="attachments/{MEMBERAVATARNAME}" alt=""> <br> </IF>
 
 <IF {MEMBERALLOWUSEREMAIL} and {THISMEMBERGROUPCANEMAILMEMBERS} and {MEMBERHASEMAIL}>
 <p><span class="labels">E-Mail:</span> <a href="emailmember.php?id={MEMBERID}">Send an E-mail to {MEMBERNAME}</a></p>
 </IF>
 
-<IF {SWITCH_GUESTBOOK}><p><span class="labels">Guestbook:</span> <a href="usernotes.php?id={MEMBERID}">View or sign {MEMBERNAME}'s guestbook ({MEMBERGUESTNOTES})</a></p></IF>
-
-<IF {SWITCH_PM} and {MEMBERACCEPTPMS}><p><span class="labels">Private Messaging:</span> <a href="privatemessaging.php?action=send&amp;sendto={MEMBERID}">Send a PM to {MEMBERNAME}</a></p></IF>
-
-<IF {MEMBERREADYTOCHAT}>
-<p><span class="labels">Instant Messaging:</span> <a href="im.php?with={MEMBERID}" target="win" onClick="window.open('','win','{IMDIMENSIONS}');">Send an instant message to {MEMBERNAME}</a></p></IF>
-
-<p><IF {MEMBERAIM}>AIM: {MEMBERAIM}<br></IF>
-<IF {MEMBERICQ}>ICQ: {MEMBERICQ}<br></IF>
-<IF {MEMBERMSN}>MSN: {MEMBERMSN}<br></IF>
-<IF {MEMBERYAHOO}>YIM: {MEMBERYAHOO}</IF></p>
-
-</td>
-<td width="50%" valign="top" class="evencolumns">
-<p align="center"><span class="labels">Biographical Information</span></p>
-
-<IF {MEMBERLOCATION}><p><span class="labels">Location:</span> {MEMBERLOCATION}</p></IF>
-
-<IF {MEMBERHOMEPAGE}><p><span class="labels">Homepage:</span> <a href="{MEMBERHOMEPAGE}">{MEMBERHOMEPAGE}</a></p></IF>
-
-<IF {MEMBEROCCUPATION}><p><span class="labels">Occupation:</span> {MEMBEROCCUPATION}</p></IF>
-
-<IF {MEMBERBIRTHDAY}><p><span class="labels">Birthday:</span> {MEMBERBIRTHMONTHNAME} {MEMBERBIRTHDAY}<IF {MEMBERBIRTHYEAR}>, {MEMBERBIRTHYEAR} ({MEMBERAGE} years old)</IF></p></IF>
-
-<IF {MEMBERHASBIO}><p><span class="labels">Biography:</span> {MEMBERBIO}</p></IF>
-
-</td>
-</tr>
-<tr>
-<td width="50%" valign="top" class="evencolumns">
-<p align="center"><span class="labels">Membership Status</span></p>
+<IF {SWITCH_PM} and {MEMBERACCEPTPMS}><p><span class="labels">Private Messaging:</span> <a href="privatemessaging.php?action=send&sendto={MEMBERID}">Send a PM to {MEMBERNAME}</a></p></IF>
 
 <p><span class="labels">Registered:</span> {MEMBERREGDATE}</p>
 
 <p><span class="labels">Usergroup:</span> {MEMBERGROUPTITLE}</p>
 
-<IF {SWITCH_MEMBERRATINGS}><p><span class="labels">Rating:</span> {MEMBERRATING}</p></IF>
-
-<p><span class="labels">Links Submitted:</span> {MEMBERTOPICS} links<IF {SWITCH_MEMBERHITS}>, with {MEMBERTOTALHITS} views</IF></p>
-
-<p><span class="labels">Total Comments:</span> {MEMBERPOSTS} comment posts ({MEMBERCOMMENTSPERDAY} per day)</p>
-
-<IF {SWITCH_TIMEONLINE}><p><span class="labels">Total Time Online:</span> {MEMBERTOTALTIMEONLINE}</p></IF>
+<p><span class="labels">Rating:</span> {MEMBERRATING}</p>
 
-<IF {MEMBERSHOWAVATAR}> <img src="attachments/avatars/{MEMBERAVATARNAME}" alt=""> <br> </IF>
+<p><span class="labels">Links Submitted:</span> {MEMBERLINKS} links<IF {SWITCH_HITS}>, with {MEMBERTOTALHITSIN} hits in and {MEMBERTOTALHITS} hits out.</IF></p>
 
-</td>
-<td width="50%" valign="top" class="evencolumns">
-<p align="center"><span class="labels">Submission History</span></p>
+<IF {SWITCH_COMMENTS}><p><span class="labels">Comments Posted:</span> {MEMBERCOMMENTS}</p></IF>
 
 <IF {TOPLISTTOTAL1}><p><span class="labels">Most recent links:</span></p></IF>
 <!-- BEGIN TOPLIST 1 -->
 <CONFIG>links,time,5,descending,ownerid={MEMBERID}</CONFIG>
-<a href="link.php?id={LINKID}&amp;action=detail">{LINKTITLE}</a> <br>
+<a href="{TRACKLINKURL}" {EXTERNALLINKS}>{LINKTITLE}</a> {LINKADMIN} <br>
 <!-- END TOPLIST 1 -->
 <br>
 <IF {TOPLIST1MULTIPAGE}>
-<a href="search.php?filled=1&amp;condition==&amp;whichtype=links&amp;searchfields[0]=ownerid&amp;search={MEMBERID}">Show all links submitted by {MEMBERNAME}</a><br>
+Page: {TOPLIST1PREVIOUS} <b>{TOPLIST1CURRENTPAGE}</b> {TOPLIST1NEXT}
+<br>
+[<a href="search.php?filled=1&amp;condition==&amp;whichtype=links&amp;searchfields[0]=ownerid&amp;search={MEMBERID}">Find all links submitted by {MEMBERNAME}</a>]<br>
 </IF>
 
-<IF {TOPLISTTOTAL2}><p><span class="labels">Most recent comment posts:</span></p></IF>
+<IF {SWITCH_COMMENTS}>
+<IF {TOPLISTTOTAL2}><p><span class="labels">Most recent comments:</span></p></IF>
 <!-- BEGIN TOPLIST 2 -->
 <CONFIG>comments,time,5,descending,ownerid={MEMBERID}</CONFIG>
-<a href="comments.php?id={POSTLINKID}&amp;findpost={POSTID}#post{POSTID}">{POSTMESSAGE[50 <,> remove]}</a> <br>
+<a href="comments.php?id={COMMENTLINKID}">{COMMENTMESSAGE[50 <,> remove]}</a> {COMMENTADMIN} <br>
 <!-- END TOPLIST 2 -->
 <br>
 <IF {TOPLIST2MULTIPAGE}>
-<a href="search.php?filled=1&amp;condition==&amp;whichtype=comments&amp;searchfields[0]=ownerid&amp;search={MEMBERID}">Show all comments by {MEMBERNAME}</a>
+Page: {TOPLIST2PREVIOUS} <b>{TOPLIST2CURRENTPAGE}</b> {TOPLIST2NEXT}
+<br>
+[<a href="search.php?filled=1&amp;condition==&amp;whichtype=comments&amp;searchfields[0]=ownerid&amp;search={MEMBERID}">Find all comments posted by {MEMBERNAME}</a>]
+</IF>
 </IF>
-
-<IF {THISMEMBERGROUPCANVIEWIPS}><p>Registration IP: {MEMBERIP}</p></IF>
-
-</td>
-</tr>
-</table>
\ No newline at end of file
diff -U 3 -H -b -B -E -d -- 320/wrapper.tpl 315/wrapper.tpl
--- 320/wrapper.tpl	2005-04-29 11:48:11.000000000 -0700
+++ 315/wrapper.tpl	2005-04-09 16:34:40.000000000 -0700
@@ -2,65 +2,73 @@
         "http://www.w3.org/TR/html4/loose.dtd">
 <html>
 <head>
-<title>{PAGETITLE}</title>
+<title>{LANG_NAVORIGIN}{AREA}</title>
 <link rel="stylesheet" href="{DIRURL}/templates/styles/{STYLESHEET}.css" type="text/css">
 {MAINMETA}
 {CATHEADERINFO}
 </head>
 
 <body>
-
-<a href="{DIRURL}"><img src="{TEMPLATESDIR}/images/logo.jpg" border="0" alt="{SITETITLE}"></a>
-
-
-<div class="main">
 <table width="100%">
 <tr>
  <td align="left" valign="top">
-  <IF {SWITCH_STYLESELECT}><form action="[IFADMIN../]index.php?action=setstyle" method="post">Style: <select name="style">{STYLEOPTIONS}</select> <input type="submit" value="Select" class="button"> <input type="hidden" name="returnto" value="{CURRENTHTMLURL}"></form>
-  </IF>
+
+<IF {SWITCH_STYLESELECT}><form action="[IFADMIN../]index.php?action=setstyle" method="post">Style: <select name="style">{STYLEOPTIONS}</select> <input type="submit" value="Select" class="button"> <input type="hidden" name="returnto" value="{CURRENTURL}"></form>
+</IF>
+
+<IF {SWITCH_TEMPLATESELECT}><form action="index.php?action=settemplatesdir" method="post">Template Set: <select name="templatesdir">{TEMPOPTIONS}</select> <input type="submit" value="Select" class="button"> <input type="hidden" name="returnto" value="{CURRENTURL}"></form></IF>
+ 
  </td>
  <td align="right" valign="top">
-<IF {THISMEMBERISGUEST}>
-<form action="index.php?action=userlogin&amp;filled=1" method="post">
-<input type="text" name="username" size="10" value="user name"> <input type="password" name="userpassword" size="10" value="password"> <input type="submit" value="Login" class="button">
-<br><a href="register.php">Not Yet Registered</a> | <a href="index.php?action=userlogin">Forgot Password</a>
-</form>
-<OTHERWISE>
-<a href="profile.php?action=memberhome&amp;id={MEMBERID}"><img src="{TEMPLATESDIR}/images/nav_options.gif" border="0" alt="Options"></a> <IF {SWITCH_PM}><a href="privatemessaging.php"><img src="{TEMPLATESDIR}/images/nav_pms.gif" border="0" alt="Private Messages"></a></IF> <IF {THISMEMBERGROUPCANUSESEARCH}><a href="search.php"><img src="{TEMPLATESDIR}/images/nav_search.gif" border="0" alt="Search"></a></IF> <a href="newposts.php"><img src="{TEMPLATESDIR}/images/nav_new.gif" border="0" alt="New Links"></a> <IF {SWITCH_HELP}><a href="help.php"><img src="{TEMPLATESDIR}/images/nav_help.gif" border="0" alt="Help"></a></IF> <a href="index.php?action=userlogout"><img src="{TEMPLATESDIR}/images/nav_logout.gif" border="0" alt="Logout"></a> 
-<IF {SWITCH_PM}><br>You have <a href="privatemessaging.php">{THISMEMBERNEWPMS[highlight]} new PMs</a>, {THISMEMBERTOTALPMS} total.</IF>
-</IF>
+  <form action="[IFADMIN../]index.php">
+  <input type="hidden" name="action" value="displaycat">
+  <select name="catid">
+   <option value="0">Choose Category</option>
+   {CATOPTIONS}
+  </select>
+  <input type="submit" value="Go" class="button">
+  </form>
  </td>
 </tr>
 </table>
 
-<IF {SWITCH_IMS} and {THISMEMBERNEWIMS}>
-<p align="center"><span class="important">You have new IMs. Click the username to open the conversation: {THISMEMBERNEWIMLIST}</span></p>
-</IF>
+<center><span class="title">Welcome to {VERSION}</span><br>This text is in your wrapper template. Visit your <a href="[IFADMINadmin/]index.php?context=templates.php">admin panel</a> to edit it.</center>
+<br>
+<div class="main">
 
 <!-- BODY GOES HERE -->
 
-<form action="index.php">
-<p align="right"><input type="hidden" name="action" value="displaycat">
-<select name="catid"><option value="0">Category List</option>{CATOPTIONS}</select>
-<input type="submit" value="Go" class="button">
-</p>
-</form>
 </div>
 
-<p align="center"><a href="rssfeed.php"><img src="{TEMPLATESDIR}/images/rss.gif" border="0" alt="RSS Feed"></a></p>
+<IF {SWITCH_MEMBERS}>
+<p align="center">
+<IF {THISMEMBERUSERGROUP} is 1>
 
-<IF {SWITCH_CONTACT}><p align="center"><a href="contactform.php">Contact the Administration</a></p></IF>
+[<a href="index.php?action=userlogin">Login</a>] [<a href="register.php">Register</a>]
 
-<IF {THISMEMBERISREGISTERED} and {SPONSORUSEUG} is yes><p align="center"><a href="membersponsor.php">Sponsor {SITETITLE}</a></p></IF>
+<OTHERWISE> 
 
-<p align="center"><b><IF {THISMEMBERISADMIN}><a href="[IFADMINadmin/]index.php">Admin Control Panel</a> | <a href="[IFADMIN../]modcp.php">Moderator Control Panel</a></IF><IF {THISMEMBERUSERGROUP} is 4><a href="[IFADMIN../]modcp.php">Moderator Control Panel</a></IF></b></p>
+You're logged in as <a href="[IFADMIN../]memberlist.php?action=profile&amp;id={MEMBERID}">{MEMBERNAME}</a>.<br>
 
-{LOADSTATS}
+<IF {SWITCH_PM}>
+You have <a href="privatemessaging.php">{THISMEMBERNEWPMS[highlight]} new PMs</a>, {THISMEMBERTOTALPMS} total <br>
+</IF>
 
-<IF {SWITCH_IMS} and {THISMEMBERNEWIMS}>
-<script language="JavaScript"> alert("You have a new instant message. Click the sender's name in the IM notification area near the top of the page to join the conversation.") </script>
+[<a href="[IFADMIN../]memberlist.php?action=profile&id={MEMBERID}">View Profile</a>] [<a href="edit.php?action=member&field=id&condition=equals&amp;fieldvalue={MEMBERID}">Edit Profile</a>] [<a href="[IFADMIN../]index.php?action=userlogout">Logout</a>]
+<br>
+<IF {SWITCH_ALBUMS}>
+<IF {THISMEMBERALBUMID}>
+<a href="[IFADMIN../]albums.php">View your personal links list</a>
+<OTHERWISE>
+<a href="[IFADMIN../]albums.php?action=createalbum">Create your personal link list</a>
 </IF>
-<IF {THISMEMBERPMPOPUP}><script language="JavaScript">alert("You have a new private message.");</script></IF>
+</IF>
+</IF>
+</p>
+</IF>
+
+<p align="center"><b><a href="[IFADMINadmin/]index.php">Admin Control Panel</a></b></p>
+
+{LOADSTATS}
 </body>
 </html>
\ No newline at end of file
